Support » Plugin: Polylang » Suggestion: Plugin compatibility

  • Hello,

    This is just a suggestion as I’m sure more users of Polylang could benefit from it.

    I’m using Visual Form Builder Pro (www.VFBpro.com) and Profile Builder Hobbyist (www.cozmoslabs.com) on my web site which are great little plug-ins (very versatile and easy to use) and noticed they do not appear to be compatible with Polylang. By that I mean that nothing from those plugins appears in the string translation database.

    Might be a good idea to contact the authors of these plugins and see what can be done.

    In the case of Profile Builder, I know they work with WPML but, I use and like Polylang so… 😉

    Cheers,

    Marc

    https://wordpress.org/plugins/polylang/

Viewing 1 replies (of 1 total)
  • Found the following code on Cozmoslabs site (http://www.cozmoslabs.com/docs/profile-builder-2/developers-knowledge-base/support-themes-plugins/shortcode-add-support-polylang-plugin/) for their plugin to be compatible with Polylang. It generates the [wppb_polylang_compat] shortcode.

    My problem is me not being a WordPress Expert nor a webdesign guru, I have less than 0 clue where to put that code.

    Can anyone help with this.

    Cheers,

    Marc

    /*
    * Shortcode to add support for PolyLang plugin in field titles, descriptions and labels.
    */

    add_shortcode(‘wppb_polylang_compat’, ‘wppb_polylang_compat’);
    function wppb_polylang_compat($atts,$content=null){
    return “<script type=’text/javascript’>
    jQuery(document).ready(function(){
    curr_lang = jQuery(‘html’)[0].lang;
    jQuery(‘.wppb-user-forms li label > span, .wppb-user-forms li .wppb-description-delimiter > span’).each(function(element){
    jQuery(this).hide();
    if ( jQuery(this).attr(‘lang’) == curr_lang ){
    jQuery(this).show();
    }
    })
    });
    </script>”;
    }

Viewing 1 replies (of 1 total)
  • The topic ‘Suggestion: Plugin compatibility’ is closed to new replies.